package web

class StreamerOutputData(val index: UInt, val channel: String, val ipaddress: String, val vu: Int, val bufferRemain: Int, var isPlaying: Boolean) {
    companion object{
        fun fromBarixConnection(bc: barix.BarixConnection): StreamerOutputData {
            return StreamerOutputData(bc.index, bc.channel, bc.ipaddress, bc.vu, bc.bufferRemain, bc.isPlaying())
        }
    }
}